Subject: Probs with 744 kernel

From: Sami Ala-Pohja <[email-masked]>

Hi folks!

I'm quite new in this mailing-list so please forgive me if solution to
my problem has already been here. 

I tried to compile a 744 kernel that would be more suitable for my needs.
After long struggle at last I managed to have vmunix of my own. Only
problem is that it hangs when I try to load it (cat vmunix.744
>/dev/reboot). No text on screen, just grey screen. 
I applied the chopps744 patch to my 744 source, but it did not help
either. I have tried about everything that I could imagine without
success. The 744 vmunix I uploaded from net works fine. HELP!  

file vmunix says:

old sun-2 pure executable not stripped

My complete configuration is as follows

A2000 OCS 1M chip-mem 4M ZorroII mem
GVP G-Force Combo 25 Mhz 68030 68882 with 5M 32-bit mem
2 * Nec 42M SCSI
Rootfs720
kernel 730/744 (generic)
gcc 2.5.6
config.744

and my CONFIG file :
---------------------

machine		"amiga"
cpu		"M68030"
ident		TIVOLI

timezone	0
maxusers	8
maxfdescs	512

# Standard options
options		SWAPPAGER,VNODEPAGER,DEVPAGER
options		INET
#options	NFS,NFSSERVER,NFSCLIENT
options		MFS
options		FIFO

# Graphics options
options		GRF
options		GRF_CUSTOM_CHIP_MODES
options		GRF_OCS
options		GRF_ECS
#options	GRF_ACS
options		GRF_NTSC
options		GRF_PAL
options		"GRF_A2024"

options		"COMPAT_43"
options		"COMPAT_NOMID"
options		"PANICWAIT"

# Options specific to this host.
options		FPCOPROC
#options	PANICBUTTON
#options	"BUFPAGES=900"
options		"NKMEMCLUSTERS=256"

config		vmunix root on sd0a swap on sd0b and sd1b
#config		vmunix swap generic

# manufacturer 1 is a pseudo and stands for `builtin'
master		gvp11scsi0	at manufacturer 2017	product 11

# further builtin devices
device		ser0	at manufacturer	1	product	3
device		par0	at manufacturer	1	product	6

disk		sd0	at gvp11scsi0 slave 0
disk		sd1	at gvp11scsi0 slave 1
disk		sd2	at gvp11scsi0 slave 2
disk		sd3	at gvp11scsi0 slave 3

#tape		st0	at gvp11scsi0 slave ?

device		grf0	at manufacturer	1	product	7
device		grf1	at manufacturer	18260	product	6

# builtin clock (should all identify as "rtclock")
device		rtclocka0 at manufacturer 1	product 4
device		rtclockb0 at manufacturer 1	product 9

# ethernet board
#device		le0	at manufacturer ?	product ?

pseudo-device	sl	1
pseudo-device	ite	2
pseudo-device	view	10
pseudo-device	kbd	1
pseudo-device	mouse	2
pseudo-device	pty	32
pseudo-device	loop

------------------------------------

//Sami